




	.section .rodata
S.&mFNAME:
	.string  	"&mFNAM2"
.section ".opd", "aw" ; .align 3; .global &mFNAME ; &mFNAME: .llong .&mFNAME, .TOC.@tocbase, 0 ; .size &mFNAME, 3*8
	.text ; .align 2
.global .&mFNAME ; .type .&mFNAME , @function ; .&mFNAME:
	mflr	11
	lwz	0, 0(11)
	lis	12, 0xe8410028>>16
	ori	12, 12, 0xe8410028&0xffff
 	cmp	0, 0, 0, 12
	beq	&mFNAME.ptr2
	lwz	0, -8(11)
	lis	12, 0x4f7bdb82>>16
	ori	12, 12, 0x4f7bdb82&0xffff
 	cmp	0, 0, 0, 12
	beq	&mFNAME.ptr2
	std	2, 40(1)
	lwz	0, 4(11)
	lis	12, 0x4f5ad382>>16
	ori	12, 12, 0x4f5ad382&0xffff
	cmp	0, 0, 0, 12
	std	11, 32(1)
	bne	&mFNAME.notcobol
	cror	27, 27, 27
	bl	&mFNAME.ptrentry
	nop
	cror	26, 26, 26
	b	&mFNAME.return
&mFNAME.notcobol:
	cror	27, 27, 27
	bl	&mFNAME.ptrentry
	nop
&mFNAME.return:
	ld	11, 32(1)
	ld	2, 40(1)
	mtlr	11
	blr
&mFNAME.ptrentry:
	mflr	11
&mFNAME.ptr2:
	std	 3,48+0*8(1)
	std	 4,48+1*8(1)
	std	 5,48+2*8(1)
	std	 6,48+3*8(1)
	std	 7,48+4*8(1)
	std	 8,48+5*8(1)
	std	 9,48+6*8(1)
	std	10,48+7*8(1)
	std	11,16(1)
	stdu	 1,-112(1)
	li	 3,0
	ld	 4,S.&mFNAME@got(2)
	ld	 5,&mFNAME@got(2)
	li	 6,0
	li	 7,0
	.extern  	._mFdynload
	bl	._mFdynload
	nop
	ld	 0,0(3)
	ld	 2,8(3)
	la	 1,112(1)
	ld	11,16(1)
	ld	 3,48+0*8(1)
	ld	 4,48+1*8(1)
	mtctr	 0
	ld	 5,48+2*8(1)
	ld	 6,48+3*8(1)
	mtlr	11		# Restore original lr
	ld	 7,48+4*8(1)
	ld	 8,48+5*8(1)
	ld	 9,48+6*8(1)
	ld	10,48+7*8(1)
	bctr
	.long	0		# trace back table marker
	.long	0x000c0000	# version 0, assembler
	.long	0
